# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取商品对应的赠品信息,2262,2262-20,sit,bs
涉及接口:多采商城登录和获取商品对应赠品信息等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json
import random

module = "cmdc_commodity_activity"

# 第一步登录多采商城获取token信息
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取商品对应的赠品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url16")
print(url)
request_body = commonFuc().get_business_data(module, "payload16")

"""
 场景:购买满足条件买赠商品验证赠品是否赠送
 用例名称：购买满足条件买赠商品验证赠品是否赠送
 输出：{"success":True,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)


# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict16")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

