# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包商品新增,2264,2264-38,sit,bs
主数据平台:运营后台管理系统套包商品新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 随机生成套包内商品数量
quantity = random.randint(1, 999999)
# 随机生成套包名称
group_name = "麦迪康套包{}".format(quantity)

# 第二步套包商品创建
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5", group_name, quantity, quantity)

"""
 场景:套包商品创建的验证
 用例名称：套包商品创建的验证
 输出：{"groupName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包正价数量
sql = "SELECT t.groupName FROM `cmdc-order`.tc_fresenius_group t ORDER BY createTime DESC LIMIT 1"
result = {"groupName": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}
# 获取
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5", group_name)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
