# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc创建需求单_普通套包,2264,2264-33,sit,bs
主数据平台:多采商城创建需求单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步加入购物车
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url31")
request_body = commonFuc().get_business_data(module, "payload31")

"""

 场景:套包清单获取
 用例名称：套包清单获取
 输出：{"demandCode": "%s"}

"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
demand_parent_id = result["data"]["国药集团上海医疗器械有限公司"]["demandParentId"]
result = {"demandCode": result["data"]["国药集团上海医疗器械有限公司"]["demandItems"][0]["demandCode"]}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 需求单查询
sql = "SELECT t.demandCode FROM `cmdc-order`.tc_demand t WHERE demandParentId = '{}'".format(demand_parent_id)
demand_code = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict31", demand_code)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
